package com.xinelu.quartz.task;

import com.xinelu.quartz.service.SubscribeTaskService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @Description 消息推送相关定时任务
 * @Author zh
 * @Date 2024-05-24
 */
@Slf4j
@Component("subscribeMessagesTask")
public class SubscribeTask {

    @Resource
    private SubscribeTaskService subscribeTaskService;

    /**
     * 签约患者管理任务路径节点消息推送定时任务
     */
    public void automaticSendSignPatientManageRouteNodeTask() {
        log.info("开始执行签约患者管理任务路径节点推送定时任务......");
        subscribeTaskService.signPatientManageRouteNodeTask();
        log.info("完成订阅签约患者管理任务路径节点推送定时任务......");
    }
}
